Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class StatusInfo

    java.lang.Object
      |
      +--oracle.apps.cz.cio.StatusInfo

Direct Known Subclasses:
  InformationalMessage, ValidationFailure

public class StatusInfo
extends java.lang.Object

Contains information about a status change for a particular runtime node. The status can be STATUS_NEW, STATUS_EXISTING, STATUS_DELETED, or STATUS_REMOVED. The condition for which this status holds depends on which list the status exists. Possibilities include validation failure, selected nodes, and unsatisfied nodes.

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`
`static int` | `STATUS_DELETED` The node has newly lost this status since the last check.
`static int` | `STATUS_EXISTING` The already had this status during the last check, and it still does.
`static int` | `STATUS_NEW` The node has newly attained this status since the last check.
`static int` | `STATUS_REMOVED` The node had the deleted status during the last check, so it is removed.

Method Summary
`oracle.apps.cz.cio.IRuntimeNode` | `getNode()` Returns the runtime node with which this status is associated.
`int` | `getStatus()` Returns the current status of the node.
`int` | `hashCode()`
`static java.lang.String` | `statusToString(int status)` Return a printable representation of a status constant.
`java.lang.String` | `toString()`
`java.lang.String` | `toString(boolean description)`

Methods inherited from class java.lang.Object
`equals, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

### STATUS_NEW

    public static final int STATUS_NEW

  The node has newly attained this status since the last check.

### STATUS_EXISTING

    public static final int STATUS_EXISTING

  The already had this status during the last check, and it still does.

### STATUS_DELETED

    public static final int STATUS_DELETED

  The node has newly lost this status since the last check.

### STATUS_REMOVED

    public static final int STATUS_REMOVED

  The node had the deleted status during the last check, so it is removed.

Method Detail

### getStatus

    public int getStatus()

  Returns the current status of the node.

### getNode

    public oracle.apps.cz.cio.IRuntimeNode getNode()

  Returns the runtime node with which this status is associated.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString(boolean description)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### statusToString

    public static java.lang.String statusToString(int status)

  Return a printable representation of a status constant.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.